Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Interface ClientManager

All Known Implementing Classes:
  SimpleClientManager

public interface ClientManager

This interface defines operations that must be implemented by a client request interceptor manager.

Overrides must have a constructor with exact signature:

     public ClientManager(
         org.omg.PortableInterceptor.ClientRequestInterceptor [] list,
         org.openorb.PI.CurrentImpl current )

The default implementation can be overriden by setting the openorb.PI.ClientManagerClass property with the classname of the override. To disable client side interception set this property to the empty string.

Each interception point must manage pushes and pops to the PICurrent as each interceptor is called.

It is allowable to call interceptors in different threads, however calls to the request callback must occour in the same thread as the one which called this function.

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:04 $
Author:
  Jerome Daniel, Chris Wood

Method Summary
`void` | `receive_exception(ClientRequestInfo info, RequestCallback cb)` Handles the recieve_exception interception point.
`void` | `receive_other(ClientRequestInfo info, RequestCallback cb)` Handles the recieve_other interception point.
`void` | `receive_reply(ClientRequestInfo info, RequestCallback cb)` Handles the recieve_reply interception point.
`void` | `send_poll(ClientRequestInfo info, RequestCallback cb)` Handles the send_poll interception point.
`void` | `send_request(ClientRequestInfo info, RequestCallback cb)` Handles the send_request interception point.

Method Detail

### send_request

    public void send_request(ClientRequestInfo info,
                             RequestCallback cb)

  Handles the send_request interception point.
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### send_poll

    public void send_poll(ClientRequestInfo info,
                          RequestCallback cb)

  Handles the send_poll interception point.
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### receive_reply

    public void receive_reply(ClientRequestInfo info,
                              RequestCallback cb)

  Handles the recieve_reply interception point.
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### receive_exception

    public void receive_exception(ClientRequestInfo info,
                                  RequestCallback cb)

  Handles the recieve_exception interception point.
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### receive_other

    public void receive_other(ClientRequestInfo info,
                              RequestCallback cb)

  Handles the recieve_other interception point.
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD